import request from '@/utils/request'
import {upFilse} from '@/utils/request'


//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/index/upload_oss',
		method: 'post',
		data
	});
}
//选择身份
export function choseType(data) {
	return request({
		url: '/api/user.user/choseType',
		method: 'post',
		data
	});
}
//获取医院列表
export function getHospitalList(data) {
	return request({
		url: '/api/system.hospital/getHospitalList',
		method: 'get',
		data
	});
}
//保存医生信息
export function setDoctor(data) {
	return request({
		url: '/api/user.user/setDoctor',
		method: 'POST',
		data
	});
}
//保存医生额外信息
export function setDoctorExt(data) {
	return request({
		url: '/api/user.user/setDoctorExt',
		method: 'POST',
		data
	});
}
//保存病人信息
export function setPatient(data) {
	return request({
		url: '/api/user.user/setPatient',
		method: 'post',
		data
	});
}
//保存机构信息
export function setOrgan(data) {
	return request({
		url: '/api/user.user/setOrgan',
		method: 'post',
		data
	});
}

//发送文件 sendFile questions
export function sendFile(data) {
	return request({
		url: '/api/index/questions',
		method: 'post',
		data
	});
}